This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1302424 - [RFE] oc new-app option that sets nodeselector and serviceaccountname [NEEDINFO]
[RFE] oc new-app option that sets nodeselector and serviceaccountname
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan McPherson
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 15:20 EST by Ryan Howe
Modified: 2016-07-25 21:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-25 21:02:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bparees: needinfo? (ccoleman)


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2016-01-27 15:20:22 EST
Description of problem:
- Requesting the `oc new-app` to have option to use existing serviceaccount and also set nodeselector value for new-app


Version-Release number of selected component (if applicable):
v3.1.1.6


Additional info:

Example: 

oc new-app --docker-image=myregistry.com/mycompany/mysql --serviceaccount=example --nodeselector="zone=primary" 


The following would add a value for serviceaccountname under podspec and nodeselector under podspec for the deployment config.
Comment 1 Clayton Coleman 2016-02-07 14:41:49 EST
We will unlikely expose this on new-app, but we would like to expose this via the CLI.
Comment 2 Ben Parees 2016-07-25 15:38:18 EDT
Clayton I think you're saying we'd like to have a "oc set nodeselector" and "oc set serviceaccount" command for editing deploymentconfigs, is that accurate?

Note You need to log in before you can comment on or make changes to this bug.